curl --request GET \ --url https://api.xpander.ai/v1/tasks/{task_id}/thread \ --header 'x-api-key: <api-key>'
[ { "role": "user", "content": "How do I reset my password?" }, { "role": "assistant", "content": "To reset your password, visit the login page and click 'Forgot Password'. You'll receive a reset link via email." }]
REST API - Tasks
Get Task Thread
Get task conversation thread with user and assistant messages
GET
/
v1
/
tasks
/
{task_id}
/
thread
Get Task'S Thread
curl --request GET \ --url https://api.xpander.ai/v1/tasks/{task_id}/thread \ --header 'x-api-key: <api-key>'
[ { "role": "user", "content": "How do I reset my password?" }, { "role": "assistant", "content": "To reset your password, visit the login page and click 'Forgot Password'. You'll receive a reset link via email." }]
Retrieve the root conversation thread for a task/thread ID as a simple array. When you continue a conversation by passing the same invocation id, the new turns are appended here under that same task/thread ID.